import json

# 返回数据模型
class ResultData(object):
    def __init__(self, code=200, data=None, msg="获取成功"):
        super(ResultData, self).__init__()
        self.code = code
        self.data = data
        self.msg = msg

    def toJson(self):
        return json.dumps({
            "code": self.code,
            "data": self.data,
            "msg": self.msg
        }, ensure_ascii=False)  # ensure_ascii=False 确保中文不会被转义